﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XDGGroupExpansion
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ViewModel vm = new ViewModel();
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = vm;
        }

        private void swtichDataSourceBtn_Click(object sender, RoutedEventArgs e)
        {
            if(xdg1.DataSource == vm.Data1)
            {
                xdg1.DataSource = vm.Data2;
            }
            else
            {
                xdg1.DataSource = vm.Data1;
            }
        }

        private void updateDataSourceBtn_Click(object sender, RoutedEventArgs e)
        {
            ObservableCollection<SampleData> data = xdg1.DataSource as ObservableCollection<SampleData>;
            data.Add(new SampleData() { ID = 0, Label = "NEW ITEM", Number = 999, Date = DateTime.Now });
        }
    }
}
