﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGGroupExpansion
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data1 { get; set; }
        public ObservableCollection<SampleData> Data2 { get; set; }

        Random r = new Random();
        public ViewModel()
        {
            Data1 = new ObservableCollection<SampleData>();
            Data2 = new ObservableCollection<SampleData>();

            for(int i=0; i<30; i++)
            {
                Data1.Add(new SampleData() { ID = (i % 5), Label = "Item " + i.ToString(), Number = r.Next(1000), Date = DateTime.Today.AddDays(i) });
                Data2.Add(new SampleData() { ID = (i % 6), Label = "Item " + i.ToString(), Number = r.Next(1000), Date = DateTime.Today.AddMonths(i) });
            }
        }
    }

    public class SampleData
    {
        public int ID { get; set; }
        public string Label { get; set; }
        public int Number { get; set; }
        public DateTime Date { get; set; }
    }
}
